Bug 861510 - mutter crashes with BadMatch when started on an X server with multiple screens
mutter crashes with BadMatch when started on an X server with multiple screens
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mutter (Show other bugs)
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
Depends On:
Blocks: 861997
  Show dependency treegraph
Reported: 2012-09-28 17:33 EDT by Daniel Dadap
Modified: 2014-05-28 17:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-07 03:57:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 648156 None None None 2012-09-28 18:45:55 EDT

  None (edit)
Description Daniel Dadap 2012-09-28 17:33:25 EDT
Note: This is filed against RHEL 6, but is really a request for RHEL 7

Description of problem:
mutter does not seem to be able to run on a server with more than one X screen.

Version-Release number of selected component (if applicable):
I selected the gnome-desktop component, because there doesn't seem to be a mutter component for RHEL 6. The version of mutter is 3.4.1.

How reproducible:
Attempt to start mutter on an X server with multiple X screens.

Steps to Reproduce:
1. Configure an X server with multiple screens (e.g., multiple GPUs; one screen per GPU)
2. Start a bare X server with no clients
3. Start mutter on the X server
Actual results:
Mutter crashes:

# DISPLAY=:0 mutter
Window manager warning: Log level 16: The program 'mutter' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 584 error_code 8 request_code 7 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Expected results:
Mutter shouldn't crash.

Additional info:
Comment 2 Daniel Dadap 2012-09-28 18:45:54 EDT
Sorry; should have searched for upstream bug before filing.

Here's the upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=648156
Comment 3 Matthias Clasen 2012-10-18 15:51:43 EDT
We've recently fixed this upstream; mutter will no longer attempt to manage more than one screen.
Comment 4 Joe Donohue 2014-05-28 17:57:36 EDT
Can someone confirm that this is fixed in RHEL 7.0?


Note You need to log in before you can comment on or make changes to this bug.